function [ a_dk,c_dk ] = mabcbin( x,d )
x       = x(:);
N       = length(x);
a_dk    = zeros(N-1,1);
c_dk    = zeros(N-1,1);
for k = 1 : N-1
    for n = 1 : N - k
        if n ~= d && n ~= d-k
            c_dk(k) = c_dk(k) + ((x(n)) * (x(n+k)));
        end
    end
    if (d - k > 0) && (d + k <= N)
        a_dk(k) = x(d-k) + (x(d+k));
    elseif (d - k > 0)
        a_dk(k) = x(d-k);
    elseif (d + k <= N)
        a_dk(k) = (x(d+k));
    end
end

end