function [ a_dk,c_dk ] = mabcbin_v2( x,d,a_dkold,c_dkold)
x       = x(:);
N       = length(x);
a_dk    = zeros(N-1,1);
c_dk2   = zeros(N-1,1);

for k = 1 : N-1
    if (d - k > 0) && (d + k <= N)
        a_dk(k) = x(d-k) + (x(d+k));
    elseif (d - k > 0)
        a_dk(k) = x(d-k);
    elseif (d + k <= N)
        a_dk(k) = (x(d+k));
    end
    c_dk2(k) = c_dkold(k) - a_dk(k)*x(d) + a_dkold(k) * x(d-1);
end

c_dk = c_dk2;

end