function [ psl,isl,PSLRdB,ISLRdB ] = pslisl( x , n , p )
if nargin == 1
    n = 0;
    p = 0; 
elseif nargin <= 2
   p = 0; 
end

x   = x(:);
N   = length(x);   
if p == 0
    r   = abs(xcorr(x));
else
    r   = abs(pcorr(x));
end
if n == 1
    r   = r / max(r);
end
psl = max(r(1:N-1));
isl = sum(r(1:N-1).^2);

PSLRdB = 10*log10(psl^2/N^2);
ISLRdB = 10*log10(isl/N^2);
end

